Skip to main content
POST
/
searchCluster
Create a cluster
import requests

url = "https://{FUSION HOST}/api/searchCluster"

payload = {
    "authConfig": {},
    "validateCluster": True
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "id": "<string>",
  "connectString": "<string>",
  "zkClientTimeout": 123,
  "zkConnectTimeout": 123,
  "cloud": true,
  "bufferFlushInterval": 123,
  "bufferSize": 123,
  "concurrency": 123,
  "authConfig": {
    "authType": "NONE",
    "username": "<string>",
    "password": "<string>",
    "keyTab": "<string>",
    "principal": "<string>"
  },
  "validateCluster": true
}

Documentation Index

Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

validate
boolean

Before creating the cluster definition, verify that Fusion can connect to this new search cluster correctly.

Body

application/json

JSON-formatted cluster configuration values.

authConfig
object
validateCluster
boolean

Response

200 - application/json

successful operation

id
string
read-only
connectString
string
read-only
zkClientTimeout
integer<int32>
read-only
zkConnectTimeout
integer<int32>
read-only
cloud
boolean
read-only
bufferFlushInterval
integer<int32>
read-only
bufferSize
integer<int32>
read-only
concurrency
integer<int32>
read-only
authConfig
object
validateCluster
boolean